package com.steerinfo.dil.service;

import com.steerinfo.dil.model.RmsCarrier;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;
import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * RmsCarrier服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-18 08:46
 * 类描述
 * 修订历史：
 * 日期：2021-11-18
 * 作者：generator
 * 参考：
 * 描述：RmsCarrier服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsCarrierService {
    //展示承运商信息
    List<Map<String, Object>> getCarrierList(Map<String, Object> mapVal);
    //删除承运商信息
    int deleteCarrier(BigDecimal id);
    //修改承运商信息
    int updateCarrier(Map<String, Object> mapValue) throws ParseException;
    //添加承运商信息
    int insertCarrier(Map<String, Object> mapValue) throws ParseException;
    //    根据id值展示承运商信息
    List<Map<String, Object>> getCarrierById(BigDecimal id);
//    展示中标区域
    List<Map<String, Object>> getCarrierBidAreaList(Map<String, Object> mapVal);
//    处理承运商照片
    int uploadCarrier(MultipartFile multipartFile, String str);
    //根据id查询承运商名称
    Map<String,Object> getCarrierNameById(BigDecimal id);
}