package com.steerinfo.dil.service;

import com.steerinfo.dil.model.RmsConsignee;
import com.steerinfo.framework.service.IBaseService;

import java.math.BigDecimal;
import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * RmsConsignee服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-12-21 09:47
 * 类描述
 * 修订历史：
 * 日期：2021-12-21
 * 作者：generator
 * 参考：
 * 描述：RmsConsignee服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsConsigneeService{

    List<Map<String, Object>> getConsigneeList(Map<String, Object> mapValue);

    int insertConsignee(Map<String,Object> mapVal) throws ParseException;

    int updateConsignee(Map<String,Object> mapVal) throws ParseException;

    int deleteConsignee(BigDecimal id);

    List<Map<String, Object>> getConsigneeById(BigDecimal id);
}